Loading...
Searching...
No Matches
volk_sse_intrinsics.h File Reference
`#include <emmintrin.h>`
`#include <xmmintrin.h>`

Go to the source code of this file.

## Functions

static __m128 | _mm_rsqrt_nr_ps (const __m128 a)
static __m128 | _mm_arctan_poly_sse (const __m128 x)
static __m128 | _mm_arcsin_poly_sse (const __m128 x)
static __m128 | _mm_magnitudesquared_ps (__m128 cplxValue1, __m128 cplxValue2)
static __m128 | _mm_magnitude_ps (__m128 cplxValue1, __m128 cplxValue2)
static __m128 | _mm_scaled_norm_dist_ps_sse (const __m128 symbols0, const __m128 symbols1, const __m128 points0, const __m128 points1, const __m128 scalar)
static __m128 | _mm_accumulate_square_sum_ps (__m128 sq_acc, __m128 acc, __m128 val, __m128 rec, __m128 aux)
static __m128 | _mm_sin_poly_sse (const __m128 x)
static __m128 | _mm_cos_poly_sse (const __m128 x)
static __m128 | _mm_log2_poly_sse (const __m128 x)

## Function Documentation

## _mm_accumulate_square_sum_ps()

__m128 _mm_accumulate_square_sum_ps | ( | __m128 | sq_acc,
|  | __m128 | acc,
|  | __m128 | val,
|  | __m128 | rec,
|  | __m128 | aux )

inline static

## _mm_arcsin_poly_sse()

__m128 _mm_arcsin_poly_sse | ( | const __m128 | x | ) |

inline static

## _mm_arctan_poly_sse()

__m128 _mm_arctan_poly_sse | ( | const __m128 | x | ) |

inline static

## _mm_cos_poly_sse()

__m128 _mm_cos_poly_sse | ( | const __m128 | x | ) |

inline static

## _mm_log2_poly_sse()

__m128 _mm_log2_poly_sse | ( | const __m128 | x | ) |

inline static

## _mm_magnitude_ps()

__m128 _mm_magnitude_ps | ( | __m128 | cplxValue1,
|  | __m128 | cplxValue2 )

inline static

## _mm_magnitudesquared_ps()

__m128 _mm_magnitudesquared_ps | ( | __m128 | cplxValue1,
|  | __m128 | cplxValue2 )

inline static

## _mm_rsqrt_nr_ps()

__m128 _mm_rsqrt_nr_ps | ( | const __m128 | a | ) |

inline static

## _mm_scaled_norm_dist_ps_sse()

__m128 _mm_scaled_norm_dist_ps_sse | ( | const __m128 | symbols0,
|  | const __m128 | symbols1,
|  | const __m128 | points0,
|  | const __m128 | points1,
|  | const __m128 | scalar )

inline static

## _mm_sin_poly_sse()

__m128 _mm_sin_poly_sse | ( | const __m128 | x | ) |

inline static